# Registration Add On Types Registration Add On Types ## Gets all of the registration add on types in the system. - [GET /registrationAddOnTypes/{tenantId}](https://docs.api.rhythmsoftware.com/apis/events/events-v1/registration-add-on-types/listregistrationaddontypes.md): This method will scan all registration add on types and and return them to the caller. ## Creates a new registration add on type record that does not already exist. - [POST /registrationAddOnTypes/{tenantId}](https://docs.api.rhythmsoftware.com/apis/events/events-v1/registration-add-on-types/createregistrationaddontype.md): This method will auto-generate an ID and create a new registration add on type. If an ID is specified for the registration add on type, an error will be thrown. ## Execute Batch Operations - [POST /registrationAddOnTypes/{tenantId}/batch](https://docs.api.rhythmsoftware.com/apis/events/events-v1/registration-add-on-types/executebatchoperations.md): TAllows you to perform up to 100 parallel patch/delete operations ## Returns a registration add on type from the system by its ID. - [DELETE /registrationAddOnTypes/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/events/events-v1/registration-add-on-types/deleteregistrationaddontype.md): This method will delete a registration add on type with the specified ID. ## Returns a registration add on type from the system by its ID. - [GET /registrationAddOnTypes/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/events/events-v1/registration-add-on-types/getregistrationaddontype.md): This method will look up a registration add on type by the specified ID and return it back. ## Partially updates a registration add on type with the specified ID. - [PATCH /registrationAddOnTypes/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/events/events-v1/registration-add-on-types/patchregistrationaddontype.md): This method will patch an existing registration add on type with the specified ID, using the HTTP PATCH specification. ## Updates a registration add on type with the specified ID. - [PUT /registrationAddOnTypes/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/events/events-v1/registration-add-on-types/updateregistrationaddontype.md): This method will update an existing registration add on type with the specified ID.